com.google.gwt.aria.client

## Interface ColumnheaderRole

- All Superinterfaces:
    GridcellRole, Role, SectionheadRole, SectionRole, StructureRole, WidgetRole
  All Known Implementing Classes:
    ColumnheaderRoleImpl

      public interface ColumnheaderRole
      extends GridcellRole, SectionheadRole, WidgetRole

  A type that represents the columnheader role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaSortProperty(Element element)` Returns the value of the aria-sort attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaSortProperty(Element element)` Removes the aria-sort attribute from the `element`.
    `void` | `setAriaSortProperty(Element element, SortValue value)` Sets the aria-sort attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.GridcellRole

      `getAriaReadonlyProperty, getAriaRequiredProperty, getAriaSelectedState, removeAriaReadonlyProperty, removeAriaRequiredProperty, removeAriaSelectedState, setAriaReadonlyProperty, setAriaRequiredProperty, setAriaSelectedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionheadRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

- - ### Method Detail

    - #### getAriaSortProperty

          java.lang.String getAriaSortProperty(Element element)

      Returns the value of the aria-sort attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaSortProperty

          void removeAriaSortProperty(Element element)

      Removes the aria-sort attribute from the `element`.

    - #### setAriaSortProperty

          void setAriaSortProperty(Element element,
                                   SortValue value)

      Sets the aria-sort attribute for the `element` to the given `value`.